<!DOCTYPE html>
<html lang="en" class="single gallery-scroll  play ongoing">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">


<link rel="stylesheet" href="https://nonlinear.nyc/css/main.cdbb272944a09e404f74f3781e5fceaa83b40a111ffdcc00319ae4609a76a362.css">

	<title>Nicholas Frota</title>
</head>
<body>

<article class="container">

 
          
	<div class="gallery-scroll">
  <canvas id="gallery-scroll" />
</div>

<script>
  const html = document.documentElement;
const canvas = document.getElementById("gallery-scroll");
const context = canvas.getContext("2d");

const frameCount = 148;
const currentFrame = index => (
  `https://www.apple.com/105/media/us/airpods-pro/2019/1299e2f5_9206_4470_b28e_08307a42f19b/anim/sequence/large/01-hero-lightpass/${index.toString().padStart(4, '0')}.jpg`
)

const preloadImages = () => {
  for (let i = 1; i < frameCount; i++) {
    const img = new Image();
    img.src = currentFrame(i);
  }
};

const img = new Image()
img.src = currentFrame(1);
canvas.width=1158;
canvas.height=770;
img.onload=function(){
  context.drawImage(img, 0, 0);
}

const updateImage = index => {
  img.src = currentFrame(index);
  context.drawImage(img, 0, 0);
}

window.addEventListener('scroll', () => {  
  const scrollTop = html.scrollTop;
  const maxScrollTop = html.scrollHeight - window.innerHeight;
  const scrollFraction = scrollTop / maxScrollTop;
  const frameIndex = Math.min(
    frameCount - 1,
    Math.ceil(scrollFraction * frameCount)
  );
  
  requestAnimationFrame(() => updateImage(frameIndex + 1))
});

preloadImages()
</script>
</article>


</body>
</html>